Page MenuHomePhabricator

Transwiki import in zhwikiversity
Closed, ResolvedPublic

Description

  1. Allow transwiki import from these source to zhwikiversity: w: (Wikipedia)、b: (Wikibooks)、q: (Wikiquote)、s: (Wikisource)、en: (English Wikiversity)、voy: (Wikivoyage)、wikt: (Wiktionary)、meta: (Meta Wiki)、commons: (Wikimedia Commons) and betawikiversity:
  2. Sysops can add and remove transwiki group from users

Discussion: https://beta.wikiversity.org/wiki/Wikiversity:%E4%BA%92%E5%8A%A9%E5%AE%A2%E6%A0%88

Event Timeline

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptAug 6 2018, 3:53 PM
Urbanecm claimed this task.Aug 6 2018, 5:02 PM
Urbanecm added a subscriber: Urbanecm.

Ok

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 6 2018, 5:02 PM

Change 451596 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Transwiki import in zhwikiversity

https://gerrit.wikimedia.org/r/451596

Urbanecm triaged this task as Normal priority.Aug 9 2018, 8:58 AM
Urbanecm moved this task from Backlog to To deploy - scheduled for SWAT on the User-Urbanecm board.

Change 451596 merged by jenkins-bot:
[operations/mediawiki-config@master] Transwiki import in zhwikiversity

https://gerrit.wikimedia.org/r/451596

Mentioned in SAL (#wikimedia-operations) [2018-08-09T11:30:05Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:451596|Transwiki import in zhwikiversity (T201328)]] (duration: 00m 56s)

Urbanecm closed this task as Resolved.Aug 9 2018, 11:58 AM
A2093064 reopened this task as Open.Sep 15 2018, 2:37 PM
A2093064 added a subscriber: A2093064.

@Urbanecm There are two colons in the summary (https://zh.wikiversity.org/w/index.php?title=Template:Formerly&diff=64677&oldid=64676). The source in the config should not end with a colon ('w' instead of 'w:').

Change 460947 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Fix a typo in zhwikiversity's importsources definition

https://gerrit.wikimedia.org/r/460947

Change 460947 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix a typo in zhwikiversity's importsources definition

https://gerrit.wikimedia.org/r/460947

Mentioned in SAL (#wikimedia-operations) [2018-10-03T11:25:42Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:460947|Fix a typo in zhwikiversitys importsources definition (T201328)]] (duration: 00m 57s)

Urbanecm closed this task as Resolved.Oct 3 2018, 11:26 AM

Deployed